Control APIAPI 레퍼런스Deployments

App의 배포 상세를 조회합니다

베타 API

Control API의 /v1 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.

GET/v1/apps/{appId}/deployments/{deploymentId}

배포가 지정한 App에 속하는지 확인한 뒤 상세를 반환합니다.

인증

bearerAuth
인증Bearer <token>

Identity access JWT 또는 ntro_ API token을 사용합니다. token 관리 경로는 Identity access JWT만 허용합니다.

위치: header

경로 매개변수

appId*string
deploymentId*string

응답 본문

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/apps/string/deployments/string"
{  "compute": {    "imageDigest": "string",    "imageStatus": "string",    "kind": "string",    "maxInstances": 0,    "minInstances": 0,    "regions": [      "string"    ],    "tier": "string"  },  "deployment": {    "appId": "string",    "createdAt": "string",    "errorCode": "string",    "fileCount": 0,    "id": "string",    "meta": true,    "preview": {      "capturedAt": "string",      "image": {        "token": "string",        "version": "string"      },      "status": "string"    },    "readyAt": "string",    "redeployOf": "string",    "shortId": "string",    "status": "string",    "target": "string",    "totalBytes": 0,    "url": "string"  },  "manifestSummary": {    "bytes": 0,    "files": 0,    "rules": 0  }}